package com.casic.PgInterface.construction.dto;

import com.casic.PgInterface.construction.domain.PgConWorkOrder;

import java.util.ArrayList;
import java.util.List;

public class PgConWorkOrderDto {

    private String KEY_ID;//GUID字段
    private String PLAN_NO;//计划申请单号
    private String TASK_COMPANY;//作业单位
    private String TASK_ID;//作业编号
    private String SUPERVISOR;//负责人
    private String SUPERVISOR_PHONE;//负责人联系方式
    private String APPLCIANT;//申报人
    private String APPLCIANT_PHONE;//申报人联系方式
    private String TASK_NAME;//作业名称
    private String TASK_PLACE;//作业区域
    private String TASK_DATE;//作业开始日期
    private String TASK_DATE_END;//作业结束日期
    private String PROJECT;//所属项目 CBL：城北路，CYL：城阳路，THXC:太湖新城
    private String TASK_CONTENT;//作业内容
    private String TASK_SAFETY_MEASURES;//作业安全措施
    private String TASK_PEOPLE_NUM;//人数及施工人员
    private String TASK_INFLUENCE;//施工影响 1：A类，2：B类，3：C类
    private String COMPLETION_OF_THE_SITUATION;//完成情况
    private String REMARKS;//备注
    private String BUILD_STATE;//施工状态 申请=1，进入=2，延期=3，验收=4
    private String LOG_DATE;

    public String getKEY_ID() {
        return KEY_ID;
    }

    public void setKEY_ID(String KEY_ID) {
        this.KEY_ID = KEY_ID;
    }

    public String getPLAN_NO() {
        return PLAN_NO;
    }

    public void setPLAN_NO(String PLAN_NO) {
        this.PLAN_NO = PLAN_NO;
    }

    public String getTASK_COMPANY() {
        return TASK_COMPANY;
    }

    public void setTASK_COMPANY(String TASK_COMPANY) {
        this.TASK_COMPANY = TASK_COMPANY;
    }

    public String getTASK_ID() {
        return TASK_ID;
    }

    public void setTASK_ID(String TASK_ID) {
        this.TASK_ID = TASK_ID;
    }

    public String getSUPERVISOR() {
        return SUPERVISOR;
    }

    public void setSUPERVISOR(String SUPERVISOR) {
        this.SUPERVISOR = SUPERVISOR;
    }

    public String getSUPERVISOR_PHONE() {
        return SUPERVISOR_PHONE;
    }

    public void setSUPERVISOR_PHONE(String SUPERVISOR_PHONE) {
        this.SUPERVISOR_PHONE = SUPERVISOR_PHONE;
    }

    public String getAPPLCIANT() {
        return APPLCIANT;
    }

    public void setAPPLCIANT(String APPLCIANT) {
        this.APPLCIANT = APPLCIANT;
    }

    public String getAPPLCIANT_PHONE() {
        return APPLCIANT_PHONE;
    }

    public void setAPPLCIANT_PHONE(String APPLCIANT_PHONE) {
        this.APPLCIANT_PHONE = APPLCIANT_PHONE;
    }

    public String getTASK_NAME() {
        return TASK_NAME;
    }

    public void setTASK_NAME(String TASK_NAME) {
        this.TASK_NAME = TASK_NAME;
    }

    public String getTASK_PLACE() {
        return TASK_PLACE;
    }

    public void setTASK_PLACE(String TASK_PLACE) {
        this.TASK_PLACE = TASK_PLACE;
    }

    public String getTASK_DATE() {
        return TASK_DATE;
    }

    public void setTASK_DATE(String TASK_DATE) {
        this.TASK_DATE = TASK_DATE;
    }

    public String getTASK_DATE_END() {
        return TASK_DATE_END;
    }

    public void setTASK_DATE_END(String TASK_DATE_END) {
        this.TASK_DATE_END = TASK_DATE_END;
    }

    public String getPROJECT() {
        return PROJECT;
    }

    public void setPROJECT(String PROJECT) {
        this.PROJECT = PROJECT;
    }

    public String getTASK_CONTENT() {
        return TASK_CONTENT;
    }

    public void setTASK_CONTENT(String TASK_CONTENT) {
        this.TASK_CONTENT = TASK_CONTENT;
    }

    public String getTASK_SAFETY_MEASURES() {
        return TASK_SAFETY_MEASURES;
    }

    public void setTASK_SAFETY_MEASURES(String TASK_SAFETY_MEASURES) {
        this.TASK_SAFETY_MEASURES = TASK_SAFETY_MEASURES;
    }

    public String getTASK_PEOPLE_NUM() {
        return TASK_PEOPLE_NUM;
    }

    public void setTASK_PEOPLE_NUM(String TASK_PEOPLE_NUM) {
        this.TASK_PEOPLE_NUM = TASK_PEOPLE_NUM;
    }

    public String getTASK_INFLUENCE() {
        return TASK_INFLUENCE;
    }

    public void setTASK_INFLUENCE(String TASK_INFLUENCE) {
        this.TASK_INFLUENCE = TASK_INFLUENCE;
    }

    public String getCOMPLETION_OF_THE_SITUATION() {
        return COMPLETION_OF_THE_SITUATION;
    }

    public void setCOMPLETION_OF_THE_SITUATION(String COMPLETION_OF_THE_SITUATION) {
        this.COMPLETION_OF_THE_SITUATION = COMPLETION_OF_THE_SITUATION;
    }

    public String getREMARKS() {
        return REMARKS;
    }

    public void setREMARKS(String REMARKS) {
        this.REMARKS = REMARKS;
    }

    public String getBUILD_STATE() {
        return BUILD_STATE;
    }

    public void setBUILD_STATE(String BUILD_STATE) {
        this.BUILD_STATE = BUILD_STATE;
    }

    public String getLOG_DATE() {
        return LOG_DATE;
    }

    public void setLOG_DATE(String LOG_DATE) {
        this.LOG_DATE = LOG_DATE;
    }

    public static PgConWorkOrderDto getPgConWorkOrderDto(PgConWorkOrder pgConWorkOrder){

        PgConWorkOrderDto pgConWorkOrderDto=new PgConWorkOrderDto();

        pgConWorkOrderDto.setKEY_ID(pgConWorkOrder.getKEY_ID());
        pgConWorkOrderDto.setPLAN_NO(pgConWorkOrder.getPLAN_NO());
        pgConWorkOrderDto.setTASK_COMPANY(pgConWorkOrder.getTASK_COMPANY());
        pgConWorkOrderDto.setTASK_ID(pgConWorkOrder.getTASK_ID());
        pgConWorkOrderDto.setSUPERVISOR(pgConWorkOrder.getSUPERVISOR());
        pgConWorkOrderDto.setSUPERVISOR_PHONE(pgConWorkOrder.getSUPERVISOR_PHONE());
        pgConWorkOrderDto.setAPPLCIANT(pgConWorkOrder.getAPPLCIANT());
        pgConWorkOrderDto.setAPPLCIANT_PHONE(pgConWorkOrder.getAPPLCIANT_PHONE());
        pgConWorkOrderDto.setTASK_NAME(pgConWorkOrder.getTASK_NAME());
        pgConWorkOrderDto.setTASK_PLACE(pgConWorkOrder.getTASK_PLACE());
        pgConWorkOrderDto.setTASK_DATE(pgConWorkOrder.getTASK_DATE());
        pgConWorkOrderDto.setTASK_DATE_END(pgConWorkOrder.getTASK_DATE_END());
        pgConWorkOrderDto.setPROJECT(pgConWorkOrder.getPROJECT());
        pgConWorkOrderDto.setTASK_CONTENT(pgConWorkOrder.getTASK_CONTENT());
        pgConWorkOrderDto.setTASK_SAFETY_MEASURES(pgConWorkOrder.getTASK_SAFETY_MEASURES());
        pgConWorkOrderDto.setTASK_PEOPLE_NUM(pgConWorkOrder.getTASK_PEOPLE_NUM());
        pgConWorkOrderDto.setTASK_INFLUENCE(pgConWorkOrder.getTASK_INFLUENCE());
        pgConWorkOrderDto.setCOMPLETION_OF_THE_SITUATION(pgConWorkOrder.getCOMPLETION_OF_THE_SITUATION());
        pgConWorkOrderDto.setREMARKS(pgConWorkOrder.getREMARKS());
        pgConWorkOrderDto.setBUILD_STATE(pgConWorkOrder.getBUILD_STATE());
        pgConWorkOrderDto.setLOG_DATE(pgConWorkOrder.getLOG_DATE());

        return pgConWorkOrderDto;
    }

    public static List<PgConWorkOrderDto> getPgConWorkOrderListDto(List<PgConWorkOrder> pgConWorkOrderList){

        List<PgConWorkOrderDto> pgConWorkOrderDtoList=new ArrayList<>();
        for(PgConWorkOrder pgConWorkOrder:pgConWorkOrderList){
            pgConWorkOrderDtoList.add(getPgConWorkOrderDto(pgConWorkOrder));
        }

        return pgConWorkOrderDtoList;
    }
}

